Bug 29654 - [regression] DynamicBranching3: Variable indexing of shader outputs unsupported
[regression] DynamicBranching3: Variable indexing of shader outputs unsupported
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Mesa core
git
Other All
: medium normal
Assigned To: Eric Anholt
http://www.humus.name/index.php?page=...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-18 13:13 UTC by Sven Arvidsson
Modified: 2010-09-03 14:43 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
shader_2.vert (632 bytes, text/plain)
2010-08-18 13:13 UTC, Sven Arvidsson
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Arvidsson 2010-08-18 13:13:50 UTC
Created attachment 37962 [details]
shader_2.vert

Hi,

The DynamicBranching3 demo no longer runs after the glsl2 merge. Both of the shaders fails to preprocess:

Vertex shader error:
0:4(2): preprocessor error: Invalid tokens after #
Fragment shader error:
0:4(2): preprocessor error: Invalid tokens after #

This demo did work before (but had suffered some regressions on the i965 side, see bug 27831)

I'm attaching one of the failing shaders.
Comment 1 Kenneth Graunke 2010-08-18 17:22:22 UTC
This should be easy to fix.  glcpp doesn't handle the #line directive.  I'll add support for that (mostly copy and paste from the main compiler).
Comment 2 Kenneth Graunke 2010-08-18 17:38:59 UTC
Should be fixed by:

commit bd7853768dd7ad52604e3b636ae71dacaa7352fe
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Wed Aug 18 17:38:24 2010 -0700

    glcpp: Refresh autogenerated lexer.

commit 9cf62bdfeb3982405b9360500d7e0fa52036f38f
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Wed Aug 18 17:38:05 2010 -0700

    glcpp: Add basic #line support (adapted from the main compiler).
Comment 3 Sven Arvidsson 2010-08-19 03:03:54 UTC
Thanks! 

I'm now getting another error: "Variable indexing of shader outputs unsupported".
Comment 4 Sven Arvidsson 2010-08-22 14:27:54 UTC
I guess the "Variable indexing of shader outputs unsupported" error is specific to i965 as it's running on r300g now.

It's not rendering correctly yet though, if "Use single pass" is enabled in the rendering options (press F1) I only get a single light and a completely black background.
Comment 5 Sven Arvidsson 2010-09-03 14:43:10 UTC
This message is gone now with loop unrolling merged.